OpenMetal
API referenceEvents

List Events

GET
/v1/events

Authorization

bearerAuth
AuthorizationBearer <token>

Use a project API key for sandbox and runtime routes, or an OpenMetal user access token for account management routes.

In: header

Query Parameters

project_id*string
Match^prj_[A-Za-z0-9]+$
after?string
Length1–512
limit?integer
Range1–100Default50

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/events?project_id=string"
{  "events": [    {      "cursor": "string",      "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",      "type": "string",      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",      "project_id": "string",      "occurred_at": "2019-08-24T14:15:22Z",      "data": {        "property1": null,        "property2": null      }    }  ],  "next_cursor": "string"}